Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8182734

7.7.1: Forbid modifiers on explicit java.base dependence

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 10
    • Component/s: specification
    • Labels:

      Description

      The mandated dependence on java.base should be operative in all phases, so 'requires static java.base' should be banned. Since _all_ modules will then depend on java.base _all_ the time, there is no value in a _transitive_ dependence on java.base, so 'requires transitive java.base' should be banned too.

      Accordingly, in addition to the JLS saying what happens if the declaration of a module DOES NOT express a dependence on java.base, the JLS should say that if the declaration of a module DOES express a dependence on java.base, and the module is not itself java.base, then no modifiers are allowed after 'requires'. (Similar rule in the JVMS, for Module.requires[].requires_flags, predicated on a v54 class file version.)

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              abuckley Alex Buckley
              Reporter:
              abuckley Alex Buckley
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: